<template>
  <div class="nav">
    <div class="menu">
      <ul>
        <router-link tag="li" to="/tasks" ><i class="fa fa-tasks"></i>Задачи</router-link>
        <router-link tag="li" to="/special" ><i class="fa fa-tasks"></i>Специальные</router-link>
        <router-link tag="li" to="/projects" ><i class="fa fa-briefcase"></i>Проекты</router-link>
        <router-link tag="li" to="/settings" ><i class="fa fa-cogs"></i>Настройки</router-link>
        <li @click.prevent="$emit('export')" ><i class="fa fa-download"></i>Экспорт</li>
<!--        <router-link tag="li" to="/test">Test</router-link>-->
      </ul>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'top-menu',
  };
</script>

<style>
  .nav {
    width: 200px;
    height: 100%;
    float: left;
    background-color: rgba(227, 234, 235, 0.8);
  }

  .nav .menu {
    width: 100%;
    margin: 15px;
    color: #555;
  }

  .nav .menu ul {
    padding-left: 0;
  }

  .nav .menu ul li {
    cursor: pointer;
    list-style: none;
    font-weight: 600;
    margin: 5px 30px 5px 0;
    padding: 5px 0 5px 10px;
    border-radius: 4px;
    transition: 0.25s all;
  }


  .nav .menu ul li i {
    font-size: 1.4em;
    margin-right: 10px;
  }

  .nav .menu ul li.active {
    color: #79BC46;
  }

  .nav .menu ul li:hover {
    background-color: #999;
  }
</style>

